<?php
/*======================================================================*\
|| #################################################################### ||
|| # Package - YJ JBootstrap                							||
|| # Copyright (C) since 2007  Youjoomla.com. All Rights Reserved.      ||
|| # license - PHP files are licensed under  GNU/GPL V2                 ||
|| # license - CSS  - JS - IMAGE files  are Copyrighted material        ||
|| # bound by Proprietary License of Youjoomla.com                      ||
|| # for more information visit http://www.youjoomla.com/license.html   ||
|| # Redistribution and  modification of this software                  ||
|| # is bounded by its licenses                                         || 
|| # websites - http://www.youjoomla.com | http://www.yjsimplegrid.com  ||
|| #################################################################### || 
\*======================================================================*/

// no direct access 
if((int)JVERSION == 3){
	defined('JPATH_PLATFORM') or die; 
}else{ 
	defined('_JEXEC') or die ('Restricted access');
}

jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');

class plgSystemJBootstrapInstallerScript{

    public function postflight($type, &$parent){
		if(strtolower($type) == 'install'){
			if(!JPluginHelper::getPlugin('system', 'JBootstrap') && JFile::exists(JPATH_SITE.DIRECTORY_SEPARATOR.'plugins'.DIRECTORY_SEPARATOR.'system'.DIRECTORY_SEPARATOR.'JBootstrap'.DIRECTORY_SEPARATOR.'JBootstrap.php')){
				$db = & JFactory::getDBO();
				$query = "UPDATE #__extensions SET enabled='1' WHERE element='JBootstrap'"; 
				$db->setQuery($query);
				$db->query();
			}
	
			$src 	= JPATH_SITE.DIRECTORY_SEPARATOR.'plugins'.DIRECTORY_SEPARATOR.'system'.DIRECTORY_SEPARATOR.'JBootstrap'.DIRECTORY_SEPARATOR.'media'.DIRECTORY_SEPARATOR;
			$dest 	= JPATH_SITE.DIRECTORY_SEPARATOR.'media'.DIRECTORY_SEPARATOR.'jui'.DIRECTORY_SEPARATOR;	
			
			if((int)JVERSION == 2){
				if(!JFolder::exists($dest)){
					if(JFolder::copy($src,$dest) === true){
						//JFolder::delete($src);
						return true;
					}else{
						$app = JFactory::getApplication();
						$app->enqueueMessage(sprintf(JText::_('PLG_SYSTEM_JBOOTSTRAP_BS_FILES_FAILED_TO_COPY'),$output_param.".css"),"error");
						return true;
					}
				}
			}else{
				//JFolder::delete($src);
				return true;
			}
		}
    }
	
    public function preflight($type, &$parent){
		return true;
    }	
	
    public function uninstall(&$parent){

		$jui 	= JPATH_SITE.DIRECTORY_SEPARATOR.'media'.DIRECTORY_SEPARATOR.'jui'.DIRECTORY_SEPARATOR;	
		
		if((int)JVERSION == 2 && JFolder::exists($jui)){
			JFolder::delete($jui);
			return true;
		}
    }	
}